> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/hb-energy-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_face_result.md).

# Read Face Result

![](/files/-Mihpg9X2P_50p2Co3Zf)

![](/files/-Mihpg9YG3h8R_s6ItSk) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Read%20Face%20Result.py)

Parse all of the common Room-level comfort-related results from an SQL result file that has been generated from an energy simulation.

## Inputs

* **sql \[Required]**

  The file path of the SQL result file that has been generated from an energy simulation.&#x20;

## Outputs

* **face\_indoor\_temp**

  DataCollections for the indoor surface temperature of each surface (C).&#x20;
* **face\_outdoor\_temp**

  DataCollections for the outdoor surface temperature of each surface (C).&#x20;
* **face\_energy\_flow**

  DataCollections for the heat loss (negative) or heat gain (positive) through each building surfaces (kWh).&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/6_result/read_face_result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
